package com.yingxin.prms.domain;

import org.springframework.data.cassandra.core.mapping.PrimaryKey;
import org.springframework.data.cassandra.core.mapping.Table;


@Table(value = "ctid_process_perf_base_line_value")
public class CTID_Process_Perf_BaseLineValue {

    @PrimaryKey
    private String auth_mode;

    private Integer dur_after_all_decrypt;

    private Integer dur_auth_code_decrypt;

    private Integer dur_before_auth_decrypt;

    private Integer dur_bizpackage_sign;

    private Integer dur_challenge;

    private Integer dur_decrypt_total;

    private Integer dur_dn;

    private Integer dur_dn_data2;

    private Integer dur_dn_data4;

    private Integer dur_id_data2;

    private Integer dur_id_data4;

    private Integer dur_id_decrypt;

    private Integer dur_log_nd;

    private Integer dur_log_yx;

    private Integer dur_mode_check;

    private Integer dur_mode_count;

    private Integer dur_parallel_auth;

    private Integer dur_pic;

    private Integer dur_pic_data2;

    private Integer dur_pic_data4;

    private Integer dur_pic_decrypt;

    private Integer dur_public_power;

    private Integer dur_query_cache_mode;

    private Integer dur_retain_decrypt;

    private Integer dur_sign_verify;

    private Integer dur_total;

    private Integer dur_voucher;

    private Integer dur_voucher_data4;

    public CTID_Process_Perf_BaseLineValue() {
    }

    public CTID_Process_Perf_BaseLineValue(String auth_mode, Integer dur_after_all_decrypt, Integer dur_auth_code_decrypt, Integer dur_before_auth_decrypt, Integer dur_bizpackage_sign, Integer dur_challenge, Integer dur_decrypt_total, Integer dur_dn, Integer dur_dn_data2, Integer dur_dn_data4, Integer dur_id_data2, Integer dur_id_data4, Integer dur_id_decrypt, Integer dur_log_nd, Integer dur_log_yx, Integer dur_mode_check, Integer dur_mode_count, Integer dur_parallel_auth, Integer dur_pic, Integer dur_pic_data2, Integer dur_pic_data4, Integer dur_pic_decrypt, Integer dur_public_power, Integer dur_query_cache_mode, Integer dur_retain_decrypt, Integer dur_sign_verify, Integer dur_total, Integer dur_voucher, Integer dur_voucher_data4) {
        this.auth_mode = auth_mode;
        this.dur_after_all_decrypt = dur_after_all_decrypt;
        this.dur_auth_code_decrypt = dur_auth_code_decrypt;
        this.dur_before_auth_decrypt = dur_before_auth_decrypt;
        this.dur_bizpackage_sign = dur_bizpackage_sign;
        this.dur_challenge = dur_challenge;
        this.dur_decrypt_total = dur_decrypt_total;
        this.dur_dn = dur_dn;
        this.dur_dn_data2 = dur_dn_data2;
        this.dur_dn_data4 = dur_dn_data4;
        this.dur_id_data2 = dur_id_data2;
        this.dur_id_data4 = dur_id_data4;
        this.dur_id_decrypt = dur_id_decrypt;
        this.dur_log_nd = dur_log_nd;
        this.dur_log_yx = dur_log_yx;
        this.dur_mode_check = dur_mode_check;
        this.dur_mode_count = dur_mode_count;
        this.dur_parallel_auth = dur_parallel_auth;
        this.dur_pic = dur_pic;
        this.dur_pic_data2 = dur_pic_data2;
        this.dur_pic_data4 = dur_pic_data4;
        this.dur_pic_decrypt = dur_pic_decrypt;
        this.dur_public_power = dur_public_power;
        this.dur_query_cache_mode = dur_query_cache_mode;
        this.dur_retain_decrypt = dur_retain_decrypt;
        this.dur_sign_verify = dur_sign_verify;
        this.dur_total = dur_total;
        this.dur_voucher = dur_voucher;
        this.dur_voucher_data4 = dur_voucher_data4;
    }

    public String getAuth_mode() {
        return auth_mode;
    }

    public void setAuth_mode(String auth_mode) {
        this.auth_mode = auth_mode;
    }

    public Integer getDur_after_all_decrypt() {
        return dur_after_all_decrypt;
    }

    public void setDur_after_all_decrypt(Integer dur_after_all_decrypt) {
        if (dur_after_all_decrypt != null) this.dur_after_all_decrypt = dur_after_all_decrypt;
    }

    public Integer getDur_auth_code_decrypt() {
        return dur_auth_code_decrypt;
    }

    public void setDur_auth_code_decrypt(Integer dur_auth_code_decrypt) {
        if (dur_auth_code_decrypt != null) this.dur_auth_code_decrypt = dur_auth_code_decrypt;
    }

    public Integer getDur_before_auth_decrypt() {
        return dur_before_auth_decrypt;
    }

    public void setDur_before_auth_decrypt(Integer dur_before_auth_decrypt) {
        if (dur_before_auth_decrypt != null) this.dur_before_auth_decrypt = dur_before_auth_decrypt;
    }

    public Integer getDur_bizpackage_sign() {
        return dur_bizpackage_sign;
    }

    public void setDur_bizpackage_sign(Integer dur_bizpackage_sign) {
        if (dur_bizpackage_sign != null) this.dur_bizpackage_sign = dur_bizpackage_sign;
    }

    public Integer getDur_challenge() {
        return dur_challenge;
    }

    public void setDur_challenge(Integer dur_challenge) {
        if (dur_challenge != null) this.dur_challenge = dur_challenge;
    }

    public Integer getDur_decrypt_total() {
        return dur_decrypt_total;
    }

    public void setDur_decrypt_total(Integer dur_decrypt_total) {
        if (dur_decrypt_total != null) this.dur_decrypt_total = dur_decrypt_total;
    }

    public Integer getDur_dn() {
        return dur_dn;
    }

    public void setDur_dn(Integer dur_dn) {
        if (dur_dn != null) this.dur_dn = dur_dn;
    }

    public Integer getDur_dn_data2() {
        return dur_dn_data2;
    }

    public void setDur_dn_data2(Integer dur_dn_data2) {
        if (dur_dn_data2 != null) this.dur_dn_data2 = dur_dn_data2;
    }

    public Integer getDur_dn_data4() {
        return dur_dn_data4;
    }

    public void setDur_dn_data4(Integer dur_dn_data4) {
        if (dur_dn_data4 != null) this.dur_dn_data4 = dur_dn_data4;
    }

    public Integer getDur_id_data2() {
        return dur_id_data2;
    }

    public void setDur_id_data2(Integer dur_id_data2) {
        if (dur_id_data2 != null) this.dur_id_data2 = dur_id_data2;
    }

    public Integer getDur_id_data4() {
        return dur_id_data4;
    }

    public void setDur_id_data4(Integer dur_id_data4) {
        if (dur_id_data4 != null) this.dur_id_data4 = dur_id_data4;
    }

    public Integer getDur_id_decrypt() {
        return dur_id_decrypt;
    }

    public void setDur_id_decrypt(Integer dur_id_decrypt) {
        if (dur_id_decrypt != null) this.dur_id_decrypt = dur_id_decrypt;
    }

    public Integer getDur_log_nd() {
        return dur_log_nd;
    }

    public void setDur_log_nd(Integer dur_log_nd) {
        if (dur_log_nd != null) this.dur_log_nd = dur_log_nd;
    }

    public Integer getDur_log_yx() {
        return dur_log_yx;
    }

    public void setDur_log_yx(Integer dur_log_yx) {
        if (dur_log_yx != null) this.dur_log_yx = dur_log_yx;
    }

    public Integer getDur_mode_check() {
        return dur_mode_check;
    }

    public void setDur_mode_check(Integer dur_mode_check) {
        if (dur_mode_check != null) this.dur_mode_check = dur_mode_check;
    }

    public Integer getDur_mode_count() {
        return dur_mode_count;
    }

    public void setDur_mode_count(Integer dur_mode_count) {
        if (dur_mode_count != null) this.dur_mode_count = dur_mode_count;
    }

    public Integer getDur_parallel_auth() {
        return dur_parallel_auth;
    }

    public void setDur_parallel_auth(Integer dur_parallel_auth) {
        if (dur_parallel_auth != null) this.dur_parallel_auth = dur_parallel_auth;
    }

    public Integer getDur_pic() {
        return dur_pic;
    }

    public void setDur_pic(Integer dur_pic) {
        if (dur_pic != null) this.dur_pic = dur_pic;
    }

    public Integer getDur_pic_data2() {
        return dur_pic_data2;
    }

    public void setDur_pic_data2(Integer dur_pic_data2) {
        if (dur_pic_data2 != null) this.dur_pic_data2 = dur_pic_data2;
    }

    public Integer getDur_pic_data4() {
        return dur_pic_data4;
    }

    public void setDur_pic_data4(Integer dur_pic_data4) {
        if (dur_pic_data4 != null) this.dur_pic_data4 = dur_pic_data4;
    }

    public Integer getDur_pic_decrypt() {
        return dur_pic_decrypt;
    }

    public void setDur_pic_decrypt(Integer dur_pic_decrypt) {
        if (dur_pic_decrypt != null) this.dur_pic_decrypt = dur_pic_decrypt;
    }

    public Integer getDur_public_power() {
        return dur_public_power;
    }

    public void setDur_public_power(Integer dur_public_power) {
        if (dur_public_power != null) this.dur_public_power = dur_public_power;
    }

    public Integer getDur_query_cache_mode() {
        return dur_query_cache_mode;
    }

    public void setDur_query_cache_mode(Integer dur_query_cache_mode) {
        if (dur_query_cache_mode != null) this.dur_query_cache_mode = dur_query_cache_mode;
    }

    public Integer getDur_retain_decrypt() {
        return dur_retain_decrypt;
    }

    public void setDur_retain_decrypt(Integer dur_retain_decrypt) {
        if (dur_retain_decrypt != null) this.dur_retain_decrypt = dur_retain_decrypt;
    }

    public Integer getDur_sign_verify() {
        return dur_sign_verify;
    }

    public void setDur_sign_verify(Integer dur_sign_verify) {
        if (dur_sign_verify != null) this.dur_sign_verify = dur_sign_verify;
    }

    public Integer getDur_total() {
        return dur_total;
    }

    public void setDur_total(Integer dur_total) {
        if (dur_total != null) this.dur_total = dur_total;
    }

    public Integer getDur_voucher() {
        return dur_voucher;
    }

    public void setDur_voucher(Integer dur_voucher) {
        if (dur_voucher != null) this.dur_voucher = dur_voucher;
    }

    public Integer getDur_voucher_data4() {
        return dur_voucher_data4;
    }

    public void setDur_voucher_data4(Integer dur_voucher_data4) {
        if (dur_voucher_data4 != null) this.dur_voucher_data4 = dur_voucher_data4;
    }

    @Override
    public String toString() {
        return "CTID_Process_Perf{" +
                ", auth_mode='" + auth_mode + '\'' +
                ", dur_after_all_decrypt=" + dur_after_all_decrypt +
                ", dur_auth_code_decrypt=" + dur_auth_code_decrypt +
                ", dur_before_auth_decrypt=" + dur_before_auth_decrypt +
                ", dur_bizpackage_sign=" + dur_bizpackage_sign +
                ", dur_challenge=" + dur_challenge +
                ", dur_decrypt_total=" + dur_decrypt_total +
                ", dur_dn=" + dur_dn +
                ", dur_dn_data2=" + dur_dn_data2 +
                ", dur_dn_data4=" + dur_dn_data4 +
                ", dur_id_data2=" + dur_id_data2 +
                ", dur_id_data4=" + dur_id_data4 +
                ", dur_id_decrypt=" + dur_id_decrypt +
                ", dur_log_nd=" + dur_log_nd +
                ", dur_log_yx=" + dur_log_yx +
                ", dur_mode_check=" + dur_mode_check +
                ", dur_mode_count=" + dur_mode_count +
                ", dur_parallel_auth=" + dur_parallel_auth +
                ", dur_pic=" + dur_pic +
                ", dur_pic_data2=" + dur_pic_data2 +
                ", dur_pic_data4=" + dur_pic_data4 +
                ", dur_pic_decrypt=" + dur_pic_decrypt +
                ", dur_public_power=" + dur_public_power +
                ", dur_query_cache_mode=" + dur_query_cache_mode +
                ", dur_retain_decrypt=" + dur_retain_decrypt +
                ", dur_sign_verify=" + dur_sign_verify +
                ", dur_total=" + dur_total +
                ", dur_voucher=" + dur_voucher +
                ", dur_voucher_data4=" + dur_voucher_data4 +
                '}';
    }
}
